## DONE

  * 配置支持css modules

  * 配置支持sass、less预编译

  * 配置支持postcss插件pxtorem

  * 配置支持flow type检查

  * 配置更为严格的Eslint规则

  * 配置stylelint检查

## TODO

  * ESDoc

  * PM2

## 环境变量配置

  配置名=(default value)

  * 构建开发Node server时配置端口号
    PORT=3000

  * 构建开发Node server时配置的域名
    HOST=localhost

  * 开发时配置opn库options参数app属性值，none不主动打开浏览器，不配置默认打开
    BROWSER

  * 打包生产文件夹项目路径
    APP_BUILD=build

  * 配置页面html文件路径
    APP_HTML=public/index.html

  * 项目public文件夹
    APP_PUBLIC=public

  * 入口JavaScript文件
    APP_INDEXJS=src/index.js

  * 项目源码目录
    APP_SRC=src

  * CDN的url设置
    PUBLIC_URL=/

  * 生产打包JavaScript文件以及CSS文件是否生成source map文件，判定是否不等于字符串"false"
    GENERATE_SOURCEMAP=true

  * 是否采用HTTPS, 判定是否等于字符串"true"
    HTTPS=

  * 样式文件是否采用css-modules, 判定是否等于字符串"true", 采用css-modules也留了一个缺口文件夹。源目录下的APP_SRC/assets文件夹不进行css modules处理
    CSS_MODULES=

  * 采用预编译器, 判定是否等于less或者sass
    PREPROCESSOR=

  * POSTCSS中是否进行px单位到rem单位到转换，判定是否等于字符串"true"
    PXTOREM=

## 开发环境下代理

  *  package.json文件中的proxy属性
